Bug 469794 - /usr/share/system-config-selinux/system-config-selinux.py:71: Warning: IA__g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
/usr/share/system-config-selinux/system-config-selinux.py:71: Warning: IA__g_...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libglade2 (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 21:52 EST by Ralf Corsepius
Modified: 2012-02-08 10:55 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:44:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-11-03 21:52:37 EST
Description of problem:

# system-config-selinux 
/usr/share/system-config-selinux/system-config-selinux.py:71: Warning: IA__g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
  xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)

Version-Release number of selected component (if applicable):
policycoreutils-gui-2.0.57-10.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. launch system-config-selinux in an xterminal
  
Actual results:
Warning being raised (cf. above)

Expected results:
no warning.

Additional info:
Comment 1 Daniel Walsh 2008-11-04 10:44:15 EST
This is an old gnome bug, that never seems to get fixed.
Comment 2 Bug Zapper 2008-11-25 23:43:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Eddie Lania 2009-05-24 14:32:29 EDT
It is also present in Fedora 11
Comment 4 rookcifer 2009-05-28 01:23:11 EDT
Same problem here.  Running Fedora 10 (KDE 4.2.3)

If I try to start "SeLinux Management" from the "Administration" menu in KDE, nothing happens.  If I try to start it from terminal, I get the following error:

/usr/share/system-config-selinux/system-config-selinux.py:72: Warning: IA__g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
  xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 188, in <module>
    app = childWindow()
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 91, in __init__
    self.add_page(portsPage.portsPage(xml))
  File "/usr/share/system-config-selinux/portsPage.py", line 69, in __init__
    self.load()
  File "/usr/share/system-config-selinux/portsPage.py", line 136, in load
    self.store.set_value(iter, PROTOCOL_COL, k[2])
IndexError: tuple index out of range


I thought it was a KDE only error, but I guess not judging from the comments above.

This is an annoying bug because it makes configuring Selinux next to impossible for us non-experts.
Comment 5 Chris Engelberth 2009-05-30 22:37:36 EDT
I am using Gnome on Fedora 10 and get this error with policycoreutils-gui-2.0.57-21.fc10.i386

Until recently I was able to use the system-config-selinux utility with no problem. Now I cannot access it at all, which is really a bummer since I am also a non-expert.  Since this bug has apparently been reported for a long time (since Fedora 8?), I am wondering what recent changes/updates to my system would have allowed this to start happening.
Comment 6 Jens Maucher 2009-05-31 07:07:43 EDT
I get this error with Fedora 11 and policycoreutils-gui-2.0.62-12.6.fc11.x86_64
Comment 7 Daniel Walsh 2009-06-01 08:04:31 EDT
The portsPage error should be fixed with the policycoreutils package in fedora-updates.
Comment 8 Dominic Hopf 2009-08-02 14:49:59 EDT
Facing a similar Problem on Fedora 11 with most current policycoreutils-2.0.62-12.12.fc11.x86_64 when trying to start system-config-selinux:

# system-config-selinux 
/usr/share/system-config-selinux/system-config-selinux.py:72: Warning: IA__g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
  xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 188, in <module>
    app = childWindow()
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 86, in __init__
    self.add_page(booleansPage.booleansPage(xml))
  File "/usr/share/system-config-selinux/booleansPage.py", line 139, in __init__
    self.load(self.filter)
  File "/usr/share/system-config-selinux/booleansPage.py", line 202, in load
    booleansList = self.booleans.get_all(self.local)
  File "/usr/lib64/python2.6/site-packages/seobject.py", line 1863, in get_all
    value.append(selinux.security_get_boolean_pending(name))
OSError: [Errno 2] Datei oder Verzeichnis nicht gefunden
Comment 9 Eddie Lania 2009-10-11 13:15:42 EDT
The default-icon is still missing.

[root@p3000fedora ~]# system-config-selinux 
/usr/share/system-config-selinux/system-config-selinux.py:72: Warning: IA__g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
  xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
Comment 10 Bug Zapper 2009-11-18 04:21:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Eddie Lania 2009-11-27 13:16:54 EST
I upgraded from F11 to F12.

The message:

 "/usr/share/system-config-selinux/system-config-selinux.py:71: Warning: IA__g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
  xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)" 

Is still present in F12.
Comment 12 Bug Zapper 2009-12-18 01:44:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 logan5 2012-02-08 10:45:07 EST
Hello. I have this message when I execute 'system-config-selinux':
##############################
# system-config-selinux
/usr/share/system-config-selinux/system-config-selinux.py:71: Warning: g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
  xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
##############################
This is the version of policycoreutils-gui I have installed on my system:
##############################
# rpm -q policycoreutils-gui
policycoreutils-gui-2.1.4-13.fc16.i686
##############################

Anyway system-config-selinux its running and it works ok, but I cannot add the program to the dock.
Thanks for your attention.
Comment 14 logan5 2012-02-08 10:55:16 EST
(In reply to comment #13)
> Hello. I have this message when I execute 'system-config-selinux':
> ##############################
> # system-config-selinux
> /usr/share/system-config-selinux/system-config-selinux.py:71: Warning:
> g_object_get_valist: object class `GnomeProgram' has no property named
> `default-icon'
>   xml = gtk.glade.XML
> ("/usr/share/system-config-selinux/system-config-selinux.glade",
> domain=PROGNAME)
> ##############################
> This is the version of policycoreutils-gui I have installed on my system:
> ##############################
> # rpm -q policycoreutils-gui
> policycoreutils-gui-2.1.4-13.fc16.i686
> ##############################
> 
> Anyway system-config-selinux its running and it works ok, but I cannot add the
> program to the dock.
> Thanks for your attention.

I'm using Fedora 16

Note You need to log in before you can comment on or make changes to this bug.